Subject: Re: [httpwg/http-extensions] feat: Add an example of a composite Crypto-Key header (#210)

From: HTTP issue updates <[email-masked]>
Date: Sun, 10 Jul 2016 19:18:44 -0700

>  
>  The Crypto-Key header field uses the extended ABNF syntax defined in Section 1.2
>  of [RFC7230] and the `parameter` and `OWS` rules from [RFC7231].
>  
>  ~~~ abnf7230
> -  Crypto-Key = #crypto_key_params
> +  Crypto-Key = crypto_key_params *(COMMA crypto_key_params)

This change isn't correct, or even needed.  The `#` has the same effect as what you are doing here, but it also allows for whitespace in the usual ways.

---
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/pull/210/files/ba0663263b1e31b91fd5479b0f1d749a099838a6#r70195227

---

From: HTTP issue updates <[email-masked]>
Date: Sun, 10 Jul 2016 19:19:27 -0700

> @@ -410,6 +413,18 @@ encryption key is the necessary size.
>  Alternative methods for determining input keying material MAY be defined by
>  specifications that use this content-encoding.
>  
> +An example of a composite Crypto-Key field is
> +
> +~~~ example
> +   CryptoKey: keyid=p256dh;dh=BN8VZLdyi…,p256ecdsa=BFoWLF…
> +~~~
> +
> +The proceeding example contained two parameter sets. The first
> +contains "keyid" and "dh" used by this protocol (the values have been
> +truncated with a "…" for readablity). The second contains "p256ecdsa"

This ellipsis won't render in our wonderful ASCII format.

---
You are receiving this because you are subscribed to this thread.
Reply to this email directly or view it on GitHub:
https://github.com/httpwg/http-extensions/pull/210/files/ba0663263b1e31b91fd5479b0f1d749a099838a6#r70195265